Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.info
Interface PortletInfo

All Known Implementing Classes:
  ContainerPortletInfo

    public interface PortletInfo

Runtime meta data for a portlet.

Since:
  2.4
Version:
  $Revision: 5448 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `getApplicationName()` Returns the portlet application name.
`
`<T> T`
` | `getAttachment(java.lang.Class<T> type)` Returns a generic attachment on the portlet info.
`CacheInfo` | `getCache()` Retrieves caching-related information for the described portlet.
`CapabilitiesInfo` | `getCapabilities()` Retrieves the capabilities of supported by the described portlet.
`EventingInfo` | `getEventing()` Return the eventing information.
`MetaInfo` | `getMeta()` Retrieves the portlet description (title, keywords, etc).
`java.lang.String` | `getName()` Returns the portlet name.
`NavigationInfo` | `getNavigation()` Returns the navigation information.
`PreferencesInfo` | `getPreferences()` Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.
`SecurityInfo` | `getSecurity()` Retrieves the security information for the described portlet.

Method Detail

### getName

    java.lang.String getName()

  Returns the portlet name.

  Returns:
    the portlet name

### getApplicationName

    java.lang.String getApplicationName()

  Returns the portlet application name.

  Returns:
    the portlet application name

### getCapabilities

    CapabilitiesInfo getCapabilities()

  Retrieves the capabilities of supported by the described portlet.

  Returns:
    the capabilities of the portlet

### getPreferences

    PreferencesInfo getPreferences()

  Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.

  Returns:
    the preferences meta data of the portlet

### getMeta

    MetaInfo getMeta()

  Retrieves the portlet description (title, keywords, etc).

  Returns:
    the portlet description

### getSecurity

    SecurityInfo getSecurity()

  Retrieves the security information for the described portlet.

  Returns:
    the security information

### getCache

    CacheInfo getCache()

  Retrieves caching-related information for the described portlet.

  Returns:
    the caching related information

### getEventing

    EventingInfo getEventing()

  Return the eventing information.

  Returns:
    the eventing information

### getNavigation

    NavigationInfo getNavigation()

  Returns the navigation information.

  Returns:
    the navigation information

### getAttachment

    <T> T getAttachment(java.lang.Class<T> type)
                    throws java.lang.IllegalArgumentException

  Returns a generic attachment on the portlet info.

  Parameters:
    `type` - the parameter type
  Returns:
    the attachment or null
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter type is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.